<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.infinispan.cache-container.replicated-cache.store.file">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="path,relative-to,fetch-state,max-batch-size,passivation,preload,purge,shared,properties,singleton"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,replicated-cache,store"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache.store.$cache-container.$replicated-cache"/>
    </provides>
    <requires>
        <capability name="org.wildfly.management.path.$relative-to" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.infinispan.cache-container.replicated-cache"/>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="singleton" nillable="true"/>
        <param name="shared" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="passivation" nillable="true"/>
        <param name="purge" nillable="true"/>
        <param name="store" feature-id="true" default="file"/>
        <param name="max-batch-size" nillable="true"/>
        <param name="preload" nillable="true"/>
        <param name="path" nillable="true"/>
        <param name="fetch-state" nillable="true"/>
        <param name="relative-to" nillable="true" default="jboss.server.data.dir"/>
        <param name="replicated-cache" feature-id="true"/>
        <param name="properties" nillable="true"/>
    </params>
</feature-spec>